﻿using Syncfusion.JavaScript.Web;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;

namespace sqlbinding
{
    public partial class _Default : Page
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
            Session["InlineEditDataSource"] = order;
        }

        private void BindDataSource()
        {
            if ((List<Orders>)Session["InlineEditDataSource"] == null)
            {
                int orderId = 10643;
                int empId = 0;
                for (int i = 1; i < 9; i++)
                {
                    order.Add(new Orders(orderId + 1, "ALFKI", empId + 1, 32342.38, "Alfreds Futterkiste ", "Germany", 1));
                    order.Add(new Orders(orderId + 2, "ANATR", empId + 2, 12311.61, "Ana Trujillo Emparedados y helados", "Mexico", 0));
                    order.Add(new Orders(orderId + 3, "ANTON", empId + 3, 4123525.34, "Antonio Moreno Taquería", "Mexico", 1));
                    order.Add(new Orders(orderId + 4, "AROUT", empId + 4, 32347.238, "Around the Horn", "UK", 0));
                    order.Add(new Orders(orderId + 5, "BERGS", empId + 5, 61127.00, "Berglunds snabbköp", "Sweden", 1));
                    order.Add(new Orders(orderId + 6, "BLONP", empId + 6, 2123413.33422, "Blondel père et fils", "France", 1));
                    orderId += 6;
                    empId += 6;
                }
            }
            else
            {
                order = (List<Orders>)Session["InlineEditDataSource"];
            }
            this.OrdersGrid.DataSource = order;
            this.OrdersGrid.DataBind();
        }
        protected void OrdersGrid_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            ExcelExport exp = new ExcelExport();
            exp.Export(OrdersGrid.Model, (IEnumerable)OrdersGrid.DataSource, "Export.xlsx", ExcelVersion.Excel2010, true, true, "flat-lime");
        }

        protected void OrdersGrid_ServerWordExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            WordExport exp = new WordExport();
            exp.Export(OrdersGrid.Model, (IEnumerable)OrdersGrid.DataSource, "Export.docx", true, true, "flat-lime");
        }

        protected void OrdersGrid_ServerPdfExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            PdfExport exp = new PdfExport();
            exp.Export(OrdersGrid.Model, (IEnumerable)OrdersGrid.DataSource, "Export.pdf", true, true, "flat-lime");
        }
        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(int orderId, string customerId, int empId, double freight, string shipName, string shipCountry, int Verified)
            {
                this.OrderID = orderId;
                this.CustomerID = customerId;
                this.EmployeeID = empId;
                this.Freight = freight;
                this.ShipName = shipName;
                this.ShipCountry = shipCountry;
                this.Verified = Verified;
            }
            public int OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public string ShipName { get; set; }
            public string ShipCountry { get; set; }
            public int Verified { get; set; }
            
        }

    }
}